Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Execute_queue.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Execute_queue.h	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Execute_queue.h	(revision 82)
@@ -17,7 +17,7 @@
 #include "Common/include/ToString.h"
 #include "Common/include/Debug.h"
-#include "Behavioural/include/Types.h"
 
 #include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Parameters.h"
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Types.h"
 #ifdef STATISTICS
 #include "Behavioural/include/Stat.h"
@@ -31,5 +31,4 @@
 namespace morpheo {
 namespace behavioural {
-
 namespace core {
 namespace multi_execute_loop {
@@ -38,43 +37,4 @@
 namespace write_unit {
 namespace execute_queue {
-
-
-  class execute_queue_entry_t
-  {
-  public  : Tcontext_t         _context_id   ;
-  public  : Tcontext_t         _front_end_id ;
-  public  : Tcontext_t         _ooo_engine_id;
-  public  : Tpacket_t          _packet_id    ;
-//public  : Toperation_t       _operation    ;
-//public  : Ttype_t            _type         ;
-  public  : Tspecial_data_t    _flags        ;
-  public  : Texception_t       _exception    ;
-  public  : Tcontrol_t         _no_sequence  ;
-  public  : Tgeneral_data_t    _address      ;
-    
-  public  : execute_queue_entry_t (Tcontext_t         context_id   ,
-				   Tcontext_t         front_end_id ,
-				   Tcontext_t         ooo_engine_id,
-				   Tpacket_t          packet_id    ,
-			         //Toperation_t       operation    ,
-			         //Ttype_t            type         ,
-				   Tspecial_data_t    flags        ,
-				   Texception_t       exception    ,
-				   Tcontrol_t         no_sequence  ,
-				   Tgeneral_data_t    address      )
-    {
-      _context_id    = context_id   ;
-      _front_end_id  = front_end_id ;
-      _ooo_engine_id = ooo_engine_id;
-      _packet_id     = packet_id    ;
-    //_operation     = operation    ;
-    //_type          = type         ;
-      _flags         = flags        ;
-      _exception     = exception    ;
-      _no_sequence   = no_sequence  ;
-      _address       = address      ;
-    };
-  };
-
 
   class Execute_queue 
@@ -159,5 +119,5 @@
 #endif
    Parameters                                  * param,
-   morpheo::behavioural::Tusage_t                usage=USE_ALL
+   morpheo::behavioural::Tusage_t                usage
    );
   public  :          ~Execute_queue             (void);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Types.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Types.h	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Types.h	(revision 82)
@@ -0,0 +1,69 @@
+#ifndef morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_write_unit_write_unit_execute_queue_Types_h
+#define morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_write_unit_write_unit_execute_queue_Types_h
+
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Types.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace core {
+namespace multi_execute_loop {
+namespace execute_loop {
+namespace multi_write_unit {
+namespace write_unit {
+namespace execute_queue {
+
+  class execute_queue_entry_t
+  {
+  public  : Tcontext_t         _context_id   ;
+  public  : Tcontext_t         _front_end_id ;
+  public  : Tcontext_t         _ooo_engine_id;
+  public  : Tpacket_t          _packet_id    ;
+//public  : Toperation_t       _operation    ;
+//public  : Ttype_t            _type         ;
+  public  : Tspecial_data_t    _flags        ;
+  public  : Texception_t       _exception    ;
+  public  : Tcontrol_t         _no_sequence  ;
+  public  : Tgeneral_data_t    _address      ;
+    
+  public  : execute_queue_entry_t (Tcontext_t         context_id   ,
+				   Tcontext_t         front_end_id ,
+				   Tcontext_t         ooo_engine_id,
+				   Tpacket_t          packet_id    ,
+			         //Toperation_t       operation    ,
+			         //Ttype_t            type         ,
+				   Tspecial_data_t    flags        ,
+				   Texception_t       exception    ,
+				   Tcontrol_t         no_sequence  ,
+				   Tgeneral_data_t    address      )
+    {
+      _context_id    = context_id   ;
+      _front_end_id  = front_end_id ;
+      _ooo_engine_id = ooo_engine_id;
+      _packet_id     = packet_id    ;
+    //_operation     = operation    ;
+    //_type          = type         ;
+      _flags         = flags        ;
+      _exception     = exception    ;
+      _no_sequence   = no_sequence  ;
+      _address       = address      ;
+    };
+  };
+
+}; // end namespace execute_queue
+}; // end namespace write_unit
+}; // end namespace multi_write_unit
+}; // end namespace execute_loop
+}; // end namespace multi_execute_loop
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
+
+#endif
